package com.cm.central.control.pojo.vos.client;

import com.cm.common.annotation.CheckEmptyAnnotation;
import com.cm.common.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ClientVO
 * @Description: 客户端
 * @Author: WenG
 * @Date: 2020-07-30 19:12
 * @Version: 1.0
 **/
@ApiModel
public class ClientVO {

    @ApiModelProperty(name = "clientName", value = "名称")
    @CheckEmptyAnnotation(name = "名称")
    private String clientName;
    @ApiModelProperty(name = "clientSummary", value = "描述")
    private String clientSummary;
    @ApiModelProperty(name = "clientVersion", value = "客户端版本")
    @CheckEmptyAnnotation(name = "客户端版本")
    private String clientVersion;
    @ApiModelProperty(name = "databaseType", value = "数据库类型")
    @CheckEmptyAnnotation(name = "数据库类型")
    private String databaseType;
    @ApiModelProperty(name = "databaseVersion", value = "数据库版本")
    @CheckEmptyAnnotation(name = "数据库版本")
    private String databaseVersion;
    @ApiModelProperty(name = "databaseName", value = "数据库名称")
    @CheckEmptyAnnotation(name = "数据库名称")
    private String databaseName;
    @ApiModelProperty(name = "customerId", value = "所属客户")
    @CheckEmptyAnnotation(name = "所属客户")
    private String customerId;
    @ApiModelProperty(name = "serverIp", value = "服务器Ip")
    @CheckEmptyAnnotation(name = "服务器Ip")
    private String serverIp;
    @ApiModelProperty(name = "isUsercenter", value = "统一用户")
    @CheckNumberAnnotation(name = "统一用户")
    private Integer isUsercenter;
    @ApiModelProperty(name = "authorizationCount", value = "授权次数")
    private Integer authorizationCount;
    @ApiModelProperty(name = "projectLeaderId", value = "项目负责人")
    @CheckEmptyAnnotation(name = "项目负责人")
    private String projectLeaderId;

    public String getClientName() {
        return clientName == null ? "" : clientName.trim();
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getClientSummary() {
        return clientSummary == null ? "" : clientSummary.trim();
    }

    public void setClientSummary(String clientSummary) {
        this.clientSummary = clientSummary;
    }

    public String getClientVersion() {
        return clientVersion == null ? "" : clientVersion.trim();
    }

    public void setClientVersion(String clientVersion) {
        this.clientVersion = clientVersion;
    }

    public String getDatabaseType() {
        return databaseType == null ? "" : databaseType.trim();
    }

    public void setDatabaseType(String databaseType) {
        this.databaseType = databaseType;
    }

    public String getDatabaseVersion() {
        return databaseVersion == null ? "" : databaseVersion.trim();
    }

    public void setDatabaseVersion(String databaseVersion) {
        this.databaseVersion = databaseVersion;
    }

    public String getDatabaseName() {
        return databaseName == null ? "" : databaseName.trim();
    }

    public void setDatabaseName(String databaseName) {
        this.databaseName = databaseName;
    }

    public String getCustomerId() {
        return customerId == null ? "" : customerId.trim();
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getServerIp() {
        return serverIp == null ? "" : serverIp.trim();
    }

    public void setServerIp(String serverIp) {
        this.serverIp = serverIp;
    }

    public Integer getIsUsercenter() {
        return isUsercenter;
    }

    public void setIsUsercenter(Integer isUsercenter) {
        this.isUsercenter = isUsercenter;
    }

    public Integer getAuthorizationCount() {
        return authorizationCount;
    }

    public void setAuthorizationCount(Integer authorizationCount) {
        this.authorizationCount = authorizationCount;
    }

    public String getProjectLeaderId() {
        return projectLeaderId == null ? "" : projectLeaderId.trim();
    }

    public void setProjectLeaderId(String projectLeaderId) {
        this.projectLeaderId = projectLeaderId;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"clientName\":")
                .append("\"").append(clientName).append("\"");
        sb.append(",\"clientSummary\":")
                .append("\"").append(clientSummary).append("\"");
        sb.append(",\"clientVersion\":")
                .append("\"").append(clientVersion).append("\"");
        sb.append(",\"databaseType\":")
                .append("\"").append(databaseType).append("\"");
        sb.append(",\"databaseVersion\":")
                .append("\"").append(databaseVersion).append("\"");
        sb.append(",\"databaseName\":")
                .append("\"").append(databaseName).append("\"");
        sb.append(",\"customerId\":")
                .append("\"").append(customerId).append("\"");
        sb.append(",\"serverIp\":")
                .append("\"").append(serverIp).append("\"");
        sb.append(",\"isUsercenter\":")
                .append(isUsercenter);
        sb.append(",\"authorizationCount\":")
                .append(authorizationCount);
        sb.append(",\"projectLeaderId\":")
                .append("\"").append(projectLeaderId).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
